/// <reference types="node" />
export declare enum FS_TYPE_CONSTANTS {
    FS_UNKNOWN = 0,
    FS_FILE = 1,
    FS_DIR = 2,
    FS_LINK = 3,
    FS_FIFO = 4,
    FS_SOCKET = 5,
    FS_CHAR = 6,
    FS_BLOCK = 7,
}
export interface IScandirEntry {
    name: string;
    type: FS_TYPE_CONSTANTS;
}
export interface IAddon {
    scandir(path: string, callback?: (err: NodeJS.ErrnoException, entries: IScandirEntry[]) => void): void;
    scandirSync(path: string): IScandirEntry[];
}
/**
 * Asynchronous scandir(3) – scan a directory for matching entries.
 * @param path A path to a file.
 * @param callback
 */
export declare const scandir: (path: string, callback?: (err: NodeJS.ErrnoException, entries: IScandirEntry[]) => void) => void;
/**
 * Synchronous scandir(3) – scan a directory for matching entries.
 * @param path A path to a file.
 * @return {IScandirEntry[]}
 */
export declare const scandirSync: (path: string) => IScandirEntry[];
