"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bindings = require("bindings");
var FS_TYPE_CONSTANTS;
(function (FS_TYPE_CONSTANTS) {
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_UNKNOWN"] = 0] = "FS_UNKNOWN";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_FILE"] = 1] = "FS_FILE";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_DIR"] = 2] = "FS_DIR";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_LINK"] = 3] = "FS_LINK";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_FIFO"] = 4] = "FS_FIFO";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_SOCKET"] = 5] = "FS_SOCKET";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_CHAR"] = 6] = "FS_CHAR";
    FS_TYPE_CONSTANTS[FS_TYPE_CONSTANTS["FS_BLOCK"] = 7] = "FS_BLOCK";
})(FS_TYPE_CONSTANTS = exports.FS_TYPE_CONSTANTS || (exports.FS_TYPE_CONSTANTS = {}));
const addon = bindings('addon.node');
/**
 * Asynchronous scandir(3) – scan a directory for matching entries.
 * @param path A path to a file.
 * @param callback
 */
exports.scandir = addon.scandir;
/**
 * Synchronous scandir(3) – scan a directory for matching entries.
 * @param path A path to a file.
 * @return {IScandirEntry[]}
 */
exports.scandirSync = addon.scandirSync;
